commit: cabe00aedf8c58d167cb42afd92731e469d442f7
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 4 12:59:56 2017 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed Jan 4 13:00:06 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cabe00ae
dev-util/pkgconfig: fix compilation of included glib on Solaris
Package-Manager: portage-2.3.0
dev-util/pkgconfig/pkgconfig-0.29.1.ebuild | 10 +++++++++-
1 file changed, 9 insertions(+), 1 deletion(-)
diff --git a/dev-util/pkgconfig/pkgconfig-0.29.1.ebuild
b/dev-util/pkgconfig/pkgconfig-0.29.1.ebuild
index 73f18e5..2db7249 100644
--- a/dev-util/pkgconfig/pkgconfig-0.29.1.ebuild
+++ b/dev-util/pkgconfig/pkgconfig-0.29.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -49,6 +49,14 @@ src_prepare() {
else
elibtoolize # Required for FreeMiNT wrt #333429
fi
+
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # fix standards conflicts
+ sed -i -e 's/\(_XOPEN_SOURCE\(_EXTENDED\)\?\|__EXTENSIONS__\)/
\1_DISABLED/' \
+ glib/configure || die
+ sed -i -e '/#define\s\+_POSIX_SOURCE/d' \
+ glib/glib/giounix.c || die
+ fi
}
multilib_src_configure() {